AGQueryExecution (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.jena, class: AGQueryExecution

Package com.franz.agraph.jena

# Class AGQueryExecution

java.lang.Object
com.franz.agraph.jena.AGQueryExecution

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `QueryExecution`

public class AGQueryExecution extends Object implements QueryExecution, Closeable
Implements the Jena QueryExecution interface for AllegroGraph.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGQueryExecution(AGQuery query, AGModel model)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `abort()`
  `void`
  `close()`
  `long`
  `countConstruct()`
  `long`
  `countSelect()`
  `boolean`
  `execAsk()`
  `Model`
  `execConstruct()`
  `Model`
  `execConstruct(Model m)`
  `Dataset`
  `execConstructDataset()`
  `Dataset`
  `execConstructDataset(Dataset dataset)`
  `Iterator<Quad>`
  `execConstructQuads()`
  `Iterator<Triple>`
  `execConstructTriples()`
  `Model`
  `execDescribe()`
  `Model`
  `execDescribe(Model m)`
  `Iterator<Triple>`
  `execDescribeTriples()`
  `JsonArray`
  `execJson()`
  `Iterator<JsonObject>`
  `execJsonItems()`
  `ResultSet`
  `execSelect()`
  `void`
  `execUpdate()`
  Executes SPARQL Update.
  `Context`
  `getContext()`
  `Dataset`
  `getDataset()`
  `Query`
  `getQuery()`
  `String`
  `getQueryString()`
  `long`
  `getTimeout1()`
  `long`
  `getTimeout2()`
  `boolean`
  `isClosed()`
  `void`
  `setInitialBinding(QuerySolution binding)`
  `void`
  `setTimeout(long timeout)`
  `void`
  `setTimeout(long arg0, long arg1)`
  `void`
  `setTimeout(long arg0, TimeUnit arg1)`
  `void`
  `setTimeout(long timeout1, TimeUnit timeUnit1, long timeout2, TimeUnit timeUnit2)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AGQueryExecution

    public AGQueryExecution(AGQuery query, AGModel model)

- ## Method Details

  - ### abort

    public void abort()
    Specified by:
      `abort` in interface `QueryExecution`

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Specified by:
      `close` in interface `QueryExecution`

  - ### isClosed

    public boolean isClosed()
    Specified by:
      `isClosed` in interface `QueryExecution`

  - ### execAsk

    public boolean execAsk()
    Specified by:
      `execAsk` in interface `QueryExecution`

  - ### execJson

    public JsonArray execJson()
    Specified by:
      `execJson` in interface `QueryExecution`

  - ### execJsonItems

    public Iterator<JsonObject> execJsonItems()
    Specified by:
      `execJsonItems` in interface `QueryExecution`

  - ### execConstruct

    public Model execConstruct()
    Specified by:
      `execConstruct` in interface `QueryExecution`

  - ### execConstruct

    public Model execConstruct(Model m)
    Specified by:
      `execConstruct` in interface `QueryExecution`

  - ### execDescribe

    public Model execDescribe()
    Specified by:
      `execDescribe` in interface `QueryExecution`

  - ### execDescribe

    public Model execDescribe(Model m)
    Specified by:
      `execDescribe` in interface `QueryExecution`

  - ### execSelect

    public ResultSet execSelect()
    Specified by:
      `execSelect` in interface `QueryExecution`

  - ### execUpdate

    public void execUpdate()
    Executes SPARQL Update.

    Executes as a SPARQL Update to modify the model/repository.

  - ### countSelect

    public long countSelect()

  - ### countConstruct

    public long countConstruct()

  - ### getContext

    public Context getContext()
    Specified by:
      `getContext` in interface `QueryExecution`

  - ### getDataset

    public Dataset getDataset()
    Specified by:
      `getDataset` in interface `QueryExecution`

  - ### setInitialBinding

    public void setInitialBinding(QuerySolution binding)

  - ### execConstructTriples

    public Iterator<Triple> execConstructTriples()
    Specified by:
      `execConstructTriples` in interface `QueryExecution`

  - ### execDescribeTriples

    public Iterator<Triple> execDescribeTriples()
    Specified by:
      `execDescribeTriples` in interface `QueryExecution`

  - ### getQuery

    public Query getQuery()
    Specified by:
      `getQuery` in interface `QueryExecution`

  - ### setTimeout

    public void setTimeout(long timeout)

  - ### setTimeout

    public void setTimeout(long arg0, TimeUnit arg1)

  - ### setTimeout

    public void setTimeout(long arg0, long arg1)

  - ### setTimeout

    public void setTimeout(long timeout1, TimeUnit timeUnit1, long timeout2, TimeUnit timeUnit2)

  - ### getQueryString

    public String getQueryString()
    Specified by:
      `getQueryString` in interface `QueryExecution`

  - ### getTimeout1

    public long getTimeout1()
    Specified by:
      `getTimeout1` in interface `QueryExecution`

  - ### getTimeout2

    public long getTimeout2()
    Specified by:
      `getTimeout2` in interface `QueryExecution`

  - ### execConstructQuads

    public Iterator<Quad> execConstructQuads()
    Specified by:
      `execConstructQuads` in interface `QueryExecution`

  - ### execConstructDataset

    public Dataset execConstructDataset()
    Specified by:
      `execConstructDataset` in interface `QueryExecution`

  - ### execConstructDataset

    public Dataset execConstructDataset(Dataset dataset)
    Specified by:
      `execConstructDataset` in interface `QueryExecution`